#include "AMDiS.h"
#include "MpCCIAdapter.h"

using namespace std;
using namespace AMDiS;

// ===== main program =====
int main(int argc, char* argv[])
{
  FUNCNAME("main");

  // ===== check for init file =====
  TEST_EXIT(argc == 2)("usage: mpcci2 initfile\n");

  // ===== init parameters =====
  Parameters::init(false, argv[1]);

  // ===== create and init the scalar problem ===== 
  ProblemScal mpcci2("mpcci2");

  mpcci2.initialize(INIT_ALL);

  int convergence = CCI_CONTINUE;
  int syncPointID = 1;
  int quantityID = 1;

  DOFVector<double> *vec[1] = { mpcci2.getSolution() };

  MpCCIAdapter mpcciAdapter(124, 1, 1, 
			    mpcci2.getFESpace(), 1, -1,
			    1, &quantityID, vec,
			    1, &syncPointID);

  while(convergence != CCI_STOP) {
    mpcciAdapter.checkConvergence(CCI_CONTINUE, &convergence);
    mpcciAdapter.reachSyncPoint(1);
    mpcciAdapter.getNodes(1);
    mpcci2.writeFiles(adaptInfo, true);
  }
}


